Bug 644775 - Bind aborts after suspend/resume
Bind aborts after suspend/resume
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-20 04:55 EDT by Tomas Mraz
Modified: 2013-04-30 19:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: bind-9.7.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-31 07:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2010-10-20 04:55:00 EDT
Description of problem:
The named process sometimes aborts after suspend/resume.

The /var/log/messages contains the following messages from bind before it aborts:

Oct 18 07:54:14 vespa named[23870]: zone.c:3889: REQUIRE(prev > 0) failed, back trace
Oct 18 07:54:14 vespa named[23870]: #0 0x7f40632f8bdf in ??
Oct 18 07:54:14 vespa named[23870]: #1 0x7f4061cdf69a in ??
Oct 18 07:54:14 vespa named[23870]: #2 0x7f4062c239f0 in ??
Oct 18 07:54:14 vespa named[23870]: #3 0x7f4062c2d5ab in ??
Oct 18 07:54:14 vespa named[23870]: #4 0x7f4062c47dd3 in ??
Oct 18 07:54:14 vespa named[23870]: #5 0x7f4061cfde68 in ??
Oct 18 07:54:14 vespa named[23870]: #6 0x7f40618b8761 in ??
Oct 18 07:54:14 vespa named[23870]: #7 0x7f4060e2851d in ??
Oct 18 07:54:14 vespa named[23870]: exiting (due to assertion failure)

Version-Release number of selected component (if applicable):
bind-9.7.1-2.P2.fc13.x86_64

How reproducible:
Sometimes.

Additional info:
I'm running the named as caching nameserver with dnssec disabled. A few zones are configured as forward zones.
Comment 1 Bug Zapper 2011-05-31 07:00:13 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tomas Mraz 2011-05-31 07:49:33 EDT
I have not seen it recently, let's say it is fixed now.

Note You need to log in before you can comment on or make changes to this bug.